package com.slibra.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.slibra.common.annotation.Excel;
import com.slibra.common.core.domain.BaseEntity;

/**
 * 停水信息对象 t_cut_off_water
 * 
 * @author slibra
 * @date 2024-11-05
 */
public class TCutOffWater extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 停水开始时间 */
    @Excel(name = "停水开始时间")
    private String timeBegin;

    /** 停水截止时间 */
    @Excel(name = "停水截止时间")
    private String timeEnd;

    /** 停水原因 */
    @Excel(name = "停水原因")
    private String reason;

    /** 关联的泵站-小区楼号的ID */
    @Excel(name = "关联的泵站-小区楼号的ID")
    private String pumpingStationNeighborhoodBuildingId;

    /** 删除标志（0代表存在 2代表删除） */
    private Long delFlag;

    /** 乐观锁 */
    @Excel(name = "乐观锁")
    private Long revision;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTimeBegin(String timeBegin) 
    {
        this.timeBegin = timeBegin;
    }

    public String getTimeBegin() 
    {
        return timeBegin;
    }
    public void setTimeEnd(String timeEnd) 
    {
        this.timeEnd = timeEnd;
    }

    public String getTimeEnd() 
    {
        return timeEnd;
    }
    public void setReason(String reason) 
    {
        this.reason = reason;
    }

    public String getReason() 
    {
        return reason;
    }
    public void setPumpingStationNeighborhoodBuildingId(String pumpingStationNeighborhoodBuildingId) 
    {
        this.pumpingStationNeighborhoodBuildingId = pumpingStationNeighborhoodBuildingId;
    }

    public String getPumpingStationNeighborhoodBuildingId() 
    {
        return pumpingStationNeighborhoodBuildingId;
    }
    public void setDelFlag(Long delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag() 
    {
        return delFlag;
    }
    public void setRevision(Long revision) 
    {
        this.revision = revision;
    }

    public Long getRevision() 
    {
        return revision;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("timeBegin", getTimeBegin())
            .append("timeEnd", getTimeEnd())
            .append("reason", getReason())
            .append("pumpingStationNeighborhoodBuildingId", getPumpingStationNeighborhoodBuildingId())
            .append("delFlag", getDelFlag())
            .append("revision", getRevision())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
