package com.slibra.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.slibra.common.annotation.Excel;
import com.slibra.common.core.domain.BaseEntity;

/**
 * 楼号信息对象 t_neighborhood_building
 * 
 * @author slibra
 * @date 2024-11-05
 */
public class TNeighborhoodBuilding extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 小区的ID */
    @Excel(name = "小区的ID")
    private Long neighborhoodId;

    /** 楼号的名称 */
    @Excel(name = "楼号的名称")
    private String name;

    /** 排序（按照升序排列） */
    @Excel(name = "排序", readConverterExp = "按=照升序排列")
    private Long sort;

    /** 删除标志（0代表存在 2代表删除） */
    private Long delFlag;

    /** 乐观锁 */
    @Excel(name = "乐观锁")
    private Long revision;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setNeighborhoodId(Long neighborhoodId) 
    {
        this.neighborhoodId = neighborhoodId;
    }

    public Long getNeighborhoodId() 
    {
        return neighborhoodId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }
    public void setDelFlag(Long delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag() 
    {
        return delFlag;
    }
    public void setRevision(Long revision) 
    {
        this.revision = revision;
    }

    public Long getRevision() 
    {
        return revision;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("neighborhoodId", getNeighborhoodId())
            .append("name", getName())
            .append("sort", getSort())
            .append("delFlag", getDelFlag())
            .append("revision", getRevision())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
