package com.slibra.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.slibra.common.annotation.Excel;
import com.slibra.common.core.domain.BaseEntity;

/**
 * 泵站-小区楼号中间对象 t_pumping_station_neighbourhood_number
 * 
 * @author slibra
 * @date 2024-11-05
 */
public class TPumpingStationNeighbourhoodNumber extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 泵站ID */
    @Excel(name = "泵站ID")
    private Long pumpingStationId;

    /** 小区ID */
    @Excel(name = "小区ID")
    private Long neighborhoodId;

    /** 楼号ID */
    @Excel(name = "楼号ID")
    private Long neighborhoodBuildingId;

    /** 删除标志（0代表存在 2代表删除） */
    private Long delFlag;

    /** 乐观锁 */
    @Excel(name = "乐观锁")
    private Long revision;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPumpingStationId(Long pumpingStationId) 
    {
        this.pumpingStationId = pumpingStationId;
    }

    public Long getPumpingStationId() 
    {
        return pumpingStationId;
    }
    public void setNeighborhoodId(Long neighborhoodId) 
    {
        this.neighborhoodId = neighborhoodId;
    }

    public Long getNeighborhoodId() 
    {
        return neighborhoodId;
    }
    public void setNeighborhoodBuildingId(Long neighborhoodBuildingId) 
    {
        this.neighborhoodBuildingId = neighborhoodBuildingId;
    }

    public Long getNeighborhoodBuildingId() 
    {
        return neighborhoodBuildingId;
    }
    public void setDelFlag(Long delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag() 
    {
        return delFlag;
    }
    public void setRevision(Long revision) 
    {
        this.revision = revision;
    }

    public Long getRevision() 
    {
        return revision;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("pumpingStationId", getPumpingStationId())
            .append("neighborhoodId", getNeighborhoodId())
            .append("neighborhoodBuildingId", getNeighborhoodBuildingId())
            .append("delFlag", getDelFlag())
            .append("revision", getRevision())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
